Announcement

Collapse
No announcement yet.

Problème de génération

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Problème de génération

    Bonjour,

    Lorsque j'essaie de générer les fichiers de configuration nagios à partir de l'interface d'oreon (Configuration->Appliquer->Générer), le message d'erreur suivant apparait :
    Code:
    Nagios 2.3
    Copyright (c) 1999-2006 Ethan Galstad (http://www.nagios.org)
    Last Modified: 05-03-2006
    License: GPL
    Reading configuration data...
    Error in configuration file '/usr/local/oreon/./nagios_cfg/nagios.cfg' - Line 67 (UNKNOWN VARIABLE)
    
    ***> One or more problems was encountered while processing the config files...
    Check your configuration file(s) to ensure that they contain valid
    directives and data defintions. If you are upgrading from a previous
    version of Nagios, you should be aware that some variables/definitions
    may have been removed or modified in this version. Make sure to read
    the HTML documentation regarding the config files, as well as the
    'Whats New' section to find out what has changed.
    Cela correspond à la ligne suivante dans mon fichier nagios.cfg :
    Code:
    log_passive_service_checks=0
    Après avoir effectué quelques recherches, j'ai constaté que des différences apparaissaient au niveau du fichier nagios.cfg, entre la version initiale et la version générée. Exemple :
    original => "log_passive_checks=1"
    généré => "log_passive_service_checks=0"

    Pour information, j'ai installé nagios 2.3 et oreon 1.2.2 à partir d'archives .tar.gz.

    Quelqu'un a-t-il une idée de l'origine du problème?
    Personnellement, je pense pour une erreur au niveau du script de génération (c'est quoi son nom?). Pour être plus précis, je pense qu'il essaie de générer un fichier avec des options qui ne sont pas/plus valide pour ma version de nagios.

    A noter que lors de la finalisation de l'installation de oreon via l'interface web, à l'étape 5 (DataBase Configuration), je ne pouvais sélectionner restreint au niveau du choix Nagios version à 1.x (2.x était grisé).

    Merci d'avance.

  • #2
    oreon 1.2.2 ne fonctionne pas avec nagios 2.X.

    Essaye la 1.3
    Julien Mathis
    Centreon Project Leader
    www.merethis.com |

    Comment


    • #3
      Salut,

      Si mes souvenirs sont bon, Oreon 1.2.x ne supporte pas nagios2.

      Donc ca explique un peu ton soucis je pense.
      ====================
      Xboite 360 sur mac os 10.4.6
      Nagios 3.7 sur Oreon 1.3
      ====================
      T'es fan hein?

      Comment


      • #4
        Merci pour la rapidité de la réponse. Je vais passer à la version 1.3 et croiser les doigts pour que ça marche.

        Comment


        • #5
          Originally posted by Polack
          Merci pour la rapidité de la réponse. Je vais passer à la version 1.3 et croiser les doigts pour que ça marche.
          Si tu t'appuis sur les doc du wiki tout se passera sans douleur t'en fait pas
          C'est ce que j'ai fais
          ====================
          Xboite 360 sur mac os 10.4.6
          Nagios 3.7 sur Oreon 1.3
          ====================
          T'es fan hein?

          Comment

          Working...
          X